package com.ruoyi.common.config.datasource.config;


public class GenConfig {

    /**
     * driver-class
     */
    public String driverClassName;

    /**
     * 数据库url
     */
    public String url;

    /**
     * 数据库用户名
     */
    public String username;

    /**
     * 数据库密码
     */
    public String password;
    /**
     * 数据库类型：mysql、oracle、dm、kingbasees、h2、sqlserver、postgresql等
     */
    public String dbtype;

    public GenConfig() {
    }

    public GenConfig(String driverClassName, String url, String username, String password, String dbtype) {
        this.driverClassName = driverClassName;
        this.url = url;
        this.username = username;
        this.password = password;
        this.dbtype = dbtype;
    }

    @Override
    public String toString() {
        return "GenConfig{" +
                "driverClassName='" + driverClassName + '\'' +
                ", url='" + url + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", dbtype='" + dbtype + '\'' +
                '}';
    }

    public String getDriverClassName() {
        return driverClassName;
    }

    public void setDriverClassName(String driverClassName) {
        this.driverClassName = driverClassName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDbtype() {
        return dbtype;
    }

    public void setDbtype(String dbtype) {
        this.dbtype = dbtype;
    }
}
